Subject: Re: [karp] How did the presentation go?

From: Gregory Lebovitz <[email-masked]>
Date: Thu, 25 Mar 2010 11:07:50 -0700

On Wed, Mar 24, 2010 at 8:37 PM, Bhatia, Manav (Manav) <
[email-masked]> wrote:

>  Hi Gregory,
>
> How was the presentation? ANy substantive comments?
>

Oh my goodness, YES!! We had a healthy debate. You really ought to listen to
the audio archive, while reading the jabber archive, to get caught up.

Main topics:
  - EKR, Sam Hartman and Stephen Kent suggested that separating the KMP from
any base RP is not a good idea, possibly not going to work. I never heard a
solid argument for why, other than a perception that it is very hard, and
may not go well.
  - Even if we want separation cleanly between many RPs and then KMP, we
pretty much all agree we will need at least two KMPs: one for 1-to-1 peers,
and another solution for 1-to-many peers (OSPF, PIM, IS-IS, etc.).
  - implementors mostly in consensus that they don't want the KeyStore being
mandated to be one keyStore for all things, or of a particular structure.
Want the flex to create one or more, and structure it how they want to. So
this part will be left up to implementation. Same for the API's, won't
specify them, which is what we agreed to alread. But we will need to define
pretty cleanly the attributes than any RP needs in order to run its
subsystem security.

>
> Regarding the requirements presentation were people ok with some of the
> points that you had put up (expedited processing for some control packets,
> etc).
>

There was some pretty big doubts about some of the requirements, especially
the incremental deployment one, as I suspected. Again, we'll need to review
the audio archive and notes. Hopefully people will be sending comments to
the list.

Gregory

> Cheers, Manav

----
IETF related email from
Gregory M. Lebovitz
Juniper Networks

---

From: "Thomas Hardjono" <[email-masked]>
Date: Thu, 25 Mar 2010 21:23:15 -0400

>>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
Gregory Lebovitz
>>> Sent: Thursday, March 25, 2010 2:08 PM
>>> To: Bhatia, Manav (Manav)
>>> Cc: [email-masked]
>>> Subject: Re: [karp] How did the presentation go?
>>>
>>>
>>> On Wed, Mar 24, 2010 at 8:37 PM, Bhatia, 
>>> Manav (Manav) <[email-masked]> wrote:
...
>>>
>>> Main topics:
>>>  - EKR, Sam Hartman and Stephen Kent suggested that separating 
>>> the KMP from any base RP is not a good idea, possibly not going to work.

>>> I never heard a solid argument for why, other than a perception 
>>> that it is very hard, and may not go well.

OK, so I don't understand this. Mixing key management messages in-band
within routing messages or data packets just convolutes the design.

>>>  - Even if we want separation cleanly between many RPs and then KMP, 
>>> we pretty much all agree we will need at least two KMPs: 
>>> one for 1-to-1 peers, and another solution for 
>>> 1-to-many peers (OSPF, PIM, IS-IS, etc.).

OK, I also don't get this. If a PIM-box is being managed
by a KM Server, then obviously the KM Server need to know
what type of keys (and their attributes) are needed
for a PIM-box (say running PIM-DM).
This is separate from the issue of the secure-channel
needed (ie. keys and/or certs) between the KM Server and the PIM-Box.

/thomas/